Articulate Online System Requirements

Article Last Updated Sep 21, 2016

This article applies to:

Articulate Online

Articulate Online is a web-based hosting platform. It requires at least one Articulate desktop authoring app in order to populate it with content. You'll need the following minimum system requirements:

Authoring and Managing Content

Operating System

  • Windows 10
  • Windows 8
  • Windows 7
  • Windows Vista

Web Browser

  • Internet Explorer 8 or later
  • Microsoft Edge (latest version)
  • Google Chrome (latest version)
  • Firefox (latest version)

Authoring App

  • Articulate Storyline 1 or later
  • Articulate Presenter 5.2 or later
  • Articulate Quizmaker 2.1 or later
  • Articulate Engage '09 or later

Viewing Content

Flash

Adobe Flash Player 10 or later, and one of these browsers:

  • Window: Internet Explorer 8 or later, Microsoft Edge (latest version), Google Chrome (latest version), Firefox (latest version)
  • Mac: Safari 7 or later, Google Chrome (latest version), Firefox (latest version)

HTML5

  • Window: Google Chrome (latest version)
  • Mac: Safari 7 or later, Google Chrome (latest version)
  • Mobile: Safari in Apple iOS 5 or later, Google Chrome (latest version) in Android OS 4.1 or later

Apple iOS

Articulate Mobile Player in Apple iOS 5 or later on iPad

Android OS

Articulate Mobile Player in Android OS 4.1 or later (optimized for tablets)